<template>
    <AddCharacter v-on:add-character="addCharacter" />
</template>

<script>
import AddCharacter from '../components/AddCharacter';
import authHeader from "../services/auth-header";
import axios from "axios";
export default {
    name: 'character',
    components: {
        AddCharacter
  },
  methods: {
    addCharacter(newCharacter) {
      const { name, gender, species,user } = newCharacter;
      axios
        .post("http://localhost:8085/characters", {
          name,
          gender,
          species,
          user
        },
        {
          headers: authHeader()
        })
        .then((res) => (this.characters = [...this.characters, res.data]))
        .catch((err) => console.log(err));
        console.log(newCharacter);
    },
  }
}
</script>